Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.actions
Class StoreMessageToFile

    java.lang.Object
      org.jboss.soa.esb.actions.AbstractActionLifecycle
          org.jboss.soa.esb.actions.AbstractActionPipelineProcessor
              org.jboss.soa.esb.actions.StoreMessageToFile

All Implemented Interfaces:
  ActionLifecycle, ActionPipelineProcessor

    public class StoreMessageToFile

extends AbstractActionPipelineProcessor

Simple action that checks to see if the message should be stored into a file. This action is primarily used for testing the quickstarts.

Author:
  Kevin Conner

Field Summary
`static java.lang.String` | `FILENAME` The filename parameter.
`static java.lang.String` | `LOCATION` The message content location.
`static java.lang.String` | `MESSAGE_CONTENT_FILENAME_END` The end of the filename when it is embedded in the contents.
`static java.lang.String` | `MESSAGE_CONTENT_FILENAME_START` The start of the filename when it is embedded in the contents.
`static java.lang.String` | `PROPERTY_JBESB_FILENAME` The name of the filename when stored in a message property.
`static java.lang.String` | `RAW` Whether it is raw or not.

Fields inherited from interface org.jboss.soa.esb.actions.ActionPipelineProcessor
`PROCESS_EXCEPTION_METHOD, PROCESS_METHOD, PROCESS_SUCCESS_METHOD`

Constructor Summary
`StoreMessageToFile(ConfigTree config)` Create the action with the specified configuration.

Method Summary
`Message` | `process(Message message)` Process the message.

Methods inherited from class org.jboss.soa.esb.actions.AbstractActionPipelineProcessor
`processException, processSuccess`

Methods inherited from class org.jboss.soa.esb.actions.AbstractActionLifecycle
`destroy, initialise`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.soa.esb.actions.ActionLifecycle
`destroy, initialise`

Field Detail

### FILENAME

    public static final java.lang.String FILENAME

  The filename parameter.

  See Also:
    Constant Field Values

### LOCATION

    public static final java.lang.String LOCATION

  The message content location.

  See Also:
    Constant Field Values

### RAW

    public static final java.lang.String RAW

  Whether it is raw or not.

  See Also:
    Constant Field Values

### PROPERTY_JBESB_FILENAME

    public static final java.lang.String PROPERTY_JBESB_FILENAME

  The name of the filename when stored in a message property.

  See Also:
    Constant Field Values

### MESSAGE_CONTENT_FILENAME_START

    public static final java.lang.String MESSAGE_CONTENT_FILENAME_START

  The start of the filename when it is embedded in the contents.

  See Also:
    Constant Field Values

### MESSAGE_CONTENT_FILENAME_END

    public static final java.lang.String MESSAGE_CONTENT_FILENAME_END

  The end of the filename when it is embedded in the contents.

  See Also:
    Constant Field Values

Constructor Detail

### StoreMessageToFile

    public StoreMessageToFile(ConfigTree config)

  Create the action with the specified configuration.

  Parameters:
    `config` - The action configuration.

Method Detail

### process

    public Message process(Message message)
                    throws ActionProcessingException

  Process the message.

  Parameters:
    `message` - The current message.
  Returns:
    The message to be passed to the next stage of the pipeline.
  Throws:
    `ActionProcessingPipeline` - for errors in processing.
    `ActionProcessingException` - for errors during processing.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD